LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
RowIdLifetime.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.

## Constant Groups
constants | com::sun::star::sdbc::RowIdLifetime
| determines RowId life-time values.

## Variables
const long | ROWID_UNSUPPORTED = 0
| Indicates that this data source does not support the ROWID type.
const long | ROWID_VALID_FOREVER = 1
| Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.
const long | ROWID_VALID_OTHER = 2
| Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.
const long | ROWID_VALID_SESSION = 3
| Indicates that the lifetime of a RowId from this data source is at least the containing session.
const long | ROWID_VALID_TRANSACTION = 4
| Indicates that the lifetime of a RowId from this data source is at least the containing transaction.